# This is explicitly a DIFFERENT resource than what we define in the spec in prometheus-values.yml!

apiVersion: monitoring.coreos.com/v1alpha1
kind: AlertmanagerConfig
metadata:
  name: "functest-alertmanager-config"
  labels:
    alertmanagerConfig: "{{ platform.prefix }}-alertmanager"
spec:
  route:
    groupBy: ['job']
    groupWait: 30s
    groupInterval: 5m
    repeatInterval: 1m
    receiver: "functest"
    routes:
    - matchers:
      - name: functest
        value: 'true'
      receiver: "functest"
      continue: true
    - matchers:
      receiver: 'null'
  receivers: 
  - name: 'null'
  - name: "functest"
    webhookConfigs:
    - url: "https://functest-am.{{ platform.domain }}/{{ generated_token }}"
      sendResolved: true
